/***************************************************************************
 *
 * icons.h : Do icons in taskbar
 *
 * Copyright (C) 2005 Richard Hughes, <richard@hughsie.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 **************************************************************************/

#ifndef _ICONS_H
#define _ICONS_H

typedef struct {
	EggTrayIcon *tray_icon;
	GtkTooltips *tray_icon_tooltip;
	GtkWidget *popup_menu;
	GtkWidget *image;
	GtkWidget *evbox;
} TrayData;

void icon_destroy (TrayData **td);
void icon_modify_image (TrayData *td, const char* filename);
void icon_modify_image_pixbuf (TrayData *td, GdkPixbuf *pixbuf);
void icon_modify_tooltip (TrayData *td, const char* tooltip);
gboolean tray_destroyed (GtkWidget *widget, GdkEvent *event, gpointer user_data);
void icon_create (TrayData **td);

#endif	/* _ICONS_H */
